CurrentCost-Ruby

A gem to provide a Ruby interface to the CurrentCost energy meter (www.currentcost.com)

Licensed under the MIT license (See COPYING file for details)

Author: James Smith (james@floppy.org.uk / www.floppy.org.uk)

Homepage: github.com/Floppy/currentcost-ruby

Documentation: rdoc.info/projects/Floppy/currentcost-ruby

INSTALLATION

1) Enable gems from gemcutter, if you haven't already done so:

> sudo gem install gemcutter
> sudo gem tumble

2) Install gem

> sudo gem install currentcost

REQUIREMENTS

rb232 >= 0.2.3

USAGE

You can read data from the meter by creating an instance of the CurrentCost::Meter class, and registering an observer which will receive readings. See examples/simple.rb or the CurrentCost::Meter documentation for a simple example of how to do this.

TRAY MONITOR

This gem includes the 'currentcost_tray_monitor.rb' application. This is a program which will sit in your system tray and display a coloured icon based on your power usage. To use the program, run:

currentcost_tray_monitor.rb -p your_serial_port_name

The program requires the Gtk2 libraries for Ruby (available from ruby-gnome2.sourceforge.jp/). If the EEML gem (github.com/Floppy/eeml-ruby) is installed, it can also serve your power data over an HTTP connection to a system like Pachube (www.pachube.com).

For more details, see github.com/Floppy/currentcost-ruby/wikis/currentcosttraymonitor